package com.lerx.entities;

/*
 * 粉丝
 */

public class AlbumFans {
	
	private long id;
	private User user;
	private Album tagAlb;
	private Album ownHome;
	private long createTime;
	private long lastVisitTime;
	private long lastViewedID;
	private boolean blacklisted;
	
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public User getUser() {
		return user;
	}
	public void setUser(User user) {
		this.user = user;
	}
	public Album getTagAlb() {
		return tagAlb;
	}
	public void setTagAlb(Album tagAlb) {
		this.tagAlb = tagAlb;
	}
	public Album getOwnHome() {
		return ownHome;
	}
	public void setOwnHome(Album ownHome) {
		this.ownHome = ownHome;
	}
	public long getCreateTime() {
		return createTime;
	}
	public void setCreateTime(long createTime) {
		this.createTime = createTime;
	}
	public long getLastVisitTime() {
		return lastVisitTime;
	}
	public void setLastVisitTime(long lastVisitTime) {
		this.lastVisitTime = lastVisitTime;
	}
	public long getLastViewedID() {
		return lastViewedID;
	}
	public void setLastViewedID(long lastViewedID) {
		this.lastViewedID = lastViewedID;
	}
	public boolean isBlacklisted() {
		return blacklisted;
	}
	public void setBlacklisted(boolean blacklisted) {
		this.blacklisted = blacklisted;
	}
	
}
